version: "3.5"
services:
  ddns-route53:
    image: crazymax/ddns-route53:latest
    container_name: ddns-route53
    environment:
      - TZ=America/Los_Angeles
      - SCHEDULE=*/30 * * * *
      - LOG_LEVEL=info
      - LOG_JSON=false
      - DDNSR53_CREDENTIALS_ACCESSKEYID=${R53_KEY}
      - DDNSR53_CREDENTIALS_SECRETACCESSKEY=${R53_SECRET}
      - DDNSR53_ROUTE53_HOSTEDZONEID=${R53_ZONEID}
      - DDNSR53_ROUTE53_RECORDSSET_0_NAME=${NAME}
      - DDNSR53_ROUTE53_RECORDSSET_0_TYPE=${TYPE}
      - DDNSR53_ROUTE53_RECORDSSET_0_TTL=${TTL}
    restart: always
    labels:
      - homepage.group=ESH
      - homepage.name=DDNS Updater
      - homepage.icon=mdi-dns
      - homepage.description=esteban.phasefinal.com
    env_file:
      - .env
networks: {}
